declare class AxiosRequest {
    requestPendingList: any;
    globalOptions: any;
    constructor();
    private _initRequest;
    _initRequestResolve(resolve: any, data: any, newExtInfo: any, startTime: any): void;
    _initRequestError(error: any, resolve: any, errData: any, newExtInfo: any, startTime: any): void;
    initGet(options: any): Promise<any>;
    initPost(options: any): Promise<any>;
    initPut(options: any): Promise<any>;
    initDelete(options: any): Promise<any>;
    initFile(options: any): Promise<any>;
    initFileDownLoad(options: any): Promise<any>;
    private _getHeader;
    private _getExtInfo;
    private _timeOut;
    private _initResult;
    private _initResultErr;
    _setInterceptors(): void;
    private _getRequestKeyMerge;
    private _addRequestPending;
    private _removeRequestPending;
    cancelAll(): void;
    setResendAgain(error: any, opt?: any): Promise<import('axios').AxiosResponse<any, any, {}>>;
    setGlobalOptions(options: any): void;
}
declare const _default: AxiosRequest;
export default _default;
